Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8096 - kickstart and doRootPw
Summary: kickstart and doRootPw
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-01 01:52 UTC by jvpurcel
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-14 16:46:24 UTC


Attachments (Terms of Use)

Description jvpurcel 2000-01-01 01:52:13 UTC
If I do in a ks.cfg file

rootpw rootpw --iscrypted xxcryptpwxx

The install throws an error:

File "/usr/lib/python1.5/site-packages/kickstart.py", line 19, in doRootPw

installClass.doRootPw(self, extra[0], isCrypted = isCrypted)
IndexError: list index out of range

The documentation, and mkkickstart command both appear to support that
	syntax--quoted variations give the same error.

Comment 1 Jay Turner 2000-02-14 16:46:59 UTC
This bug is fixed in the latest installer (available in beta).  Do note that the
correct command in ks.cfg should be "rootpw --iscrypted xxxxx"  In the posting
above, you have 2 "rootpw"s


Note You need to log in before you can comment on or make changes to this bug.